import App from './App'
import uvUI from '@/uni_modules/uv-ui-tools'
import { Request } from '@/util/request/index'
// #ifndef VUE3
import Vue from 'vue'

import './uni.promisify.adaptor'

Vue.config.productionTip = false

App.mpType = 'app'

import store from './store'
Vue.prototype.$store = store

import './config.js'
import './utils/index.js'

const app = new Vue({
	...App,
	store,
})
app.$mount()
Request(app)
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	Request(app)
	return {
		app
	}
}
// #endif